﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EffectiveCSharp.LanguageComponent
{
    internal class CallEvent
    {
        public event EventHandler<string> Event;

        public void Work()
        {
            int cnt = 0;
            while (cnt < 10)
            {
                cnt++;
                RaiseUpdate(cnt.ToString());

                Thread.Sleep(1000);
            }
        }

        private void RaiseUpdate(string contents)
        {
            Event?.Invoke(this, contents);
        }
    }
}
